Summary:	Replacement for xload, displays time, has optional per CPU load
Name:		xloadtime
Version:	2.2
Release:	1
Copyright:	GPL
Group:		X11/Utilities
#Distribution:	Red Hat Contrib|Net
Packager:	Trent Piepho <xyzzy@speakeasy.org>
Source:		http://www.speakeasy.org/~xyzzy/download/%{name}-%{version}.tar.gz
URL:		http://www.speakeasy.org/~xyzzy/xloadtime/
BuildRoot:	/tmp/xloadtime

%changelog
* Tue Mar  2 1999 Trent Piepho <xyzzy@speakeasy.org>
- Made spec file, added CPU load bars, other stuff
#* Sometime slightly later      Trent Piepho <xyzzy@u.washington.edu>
#- Added 12 hour option, the update options, fixed bugs, made more efficient.
#* Sometime around July 1996    Darren J Moffat <darren@xarius.demon.co.uk>
#- Wrote the thing


%description
XLoadtime is an enhanced version of XLoad.  Its main feature is that the
current time (12 or 24 hour format) is displayed in the load graph instead of
the machine name.  It also features optional CPU usage bars on the left, one
per CPU.  It uses the Linux proc filesystem to get the load information and
the CPU usage.  Multiple CPU bars will not work on 2.0.x kernels, you will
just get one bar on an SMP machine. 

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -m 755 xloadtime $RPM_BUILD_ROOT/usr/X11R6/bin

%files
%attr(-, root, root) %doc README xloadtime.lsm
%attr(-, root, root) /usr/X11R6/bin/xloadtime

%clean
rm -rf $RPM_BUILD_ROOT
